- Qt 6.7
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcClientStream
- Qt 6.7.2 Reference Documentation

# QGrpcClientStream Class

The QGrpcClientStream class provides the interface to access the client-side gRPC stream functionality from gRPC client side. More...

Header: | #include <QGrpcClientStream>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.7
Inherits: | QGrpcOperation
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

virtual | ~QGrpcClientStream() override
void | sendMessage(const T &message)

## Detailed Description

## Member Function Documentation

### `[override virtual noexcept]` QGrpcClientStream::~QGrpcClientStream()

Destroys the QGrpcClientStream object.

### template <typename T> void QGrpcClientStream::sendMessage(const T &message)

Serializes message and sends it to the server.